function [MSE_A,MSE_B] = EVALUATE(q_est_A,t_A,q_est_B,t_B,q_real,t_int,filename,label_A,label_B)
%EVALUATE Summary of this function goes here
%   Detailed explanation goes here
fig = figure;
scatter(t_A,q_est_A)
hold on;
scatter(t_B,q_est_B)
hold on;
time = linspace(t_int(1),t_int(2),1000);
plot(time,q_real(0,0,time,0));
xlabel('$t$ $[\mathrm{s}]$','Interpreter','latex','FontSize',15');
ylabel('$q$ $[\mathrm{W}\cdot \mathrm{m}^{-2}]$','Interpreter','latex','FontSize',15');
if isempty(label_B)
    legend(label_A,'Skutečná hodnota');
else
    legend(label_A,label_B,'Skutečná hodnota');
end
saveas(fig,[filename,'.png']);
MSE_A = sum((q_est_A - q_real(0,0,t_A,0)).^2)/size(t_A,2);
MSE_B = sum((q_est_B - q_real(0,0,t_B,0)).^2)/size(t_B,2);
end

